/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package funambol.syncclient.blackberry;

import javax.microedition.rms.*; 
import net.rim.device.api.system.PersistentStore;
import net.rim.device.api.system.PersistentObject;

/**
 * 
 */
public class Configuration {
    Configuration() {    }
    public static String USERNAME;
    public static String PASSWORD;
    public static String URL;
    public static String PORT;
    public static String RETRY;
    public static String MAXMSGSIZE = "5000";
    public static String PROTOCOL;
    public static String FROM;
    public static String GATEWAYAPN;
    public static String GATEWAYIP;
    public static String GATEWAYPORT;
        
    private static PersistentObject store;
    static {
        store = PersistentStore.getPersistentObject(SyncClient.CONFIG_KEY);
    }
    public static void  updateConfigdetails(){
       
        String[] contents = (String[])store.getContents();
        if(contents != null){
            USERNAME =contents[0];
            PASSWORD =contents[1];
            URL =contents[2];
            PORT =contents[3];
            FROM =contents[4];
            PROTOCOL =contents[5];
            GATEWAYAPN =contents[11];
            GATEWAYIP=contents[12];
            GATEWAYPORT=contents[13];
           }
     }
} 

